- name: Install Packages Memcached
  apt:
    name: "{{ packages }}"
  vars:
    packages:
      - memcached
      - python-memcache

- name: modify ip controller
  lineinfile:
    path: /etc/memcached.conf
    regexp: '^-l.*'
    line: -l {{ IP_CONTROLLER }}

- name: modify ip controller
  lineinfile:
    path: /etc/memcached.conf
    regexp: '^-l 127\.0\.0\.1'
    line: '# -l 127\.0\.0\.1'

- name: Restart service memcahced
  service:
    name: memcached
    state: restarted

